# POST /replicate/v1/models/recraft-ai/recraft-v3/predictions

**Method**: `POST`
**Endpoint**: `/replicate/v1/models/recraft-ai/recraft-v3/predictions`

<https://replicate.com/recraft-ai/recraft-v3>

## Request Parameters

### Header Parameters

```text
Content-Type
string
Required
Example:
application/json
Authorization
string
Optional
Default Value:
Bearer {{YOUR_API_KEY}}
```

### Body Parameters application/json

```text
input
object
Required
prompt
string
Required
go_fast
boolean
Optional
megapixels
string
Optional
num_outputs
integer
Optional
aspect_ratio
string
Defaults to 1:1.
Optional
output_format
string
Optional
output_quality
integer
Optional
num_inference_steps
integer
Optional
Example
{
"input"
:
{
"size"
:
"1365x1024"
,
"style"
:
"any"
,
"prompt"
:
"a wildlife photography photo of a red panda using a laptop in a snowy forest"
,
"aspect_ratio"
:
"Not set"
}
}
```

## Example Request

### Shell

```bash
curl --location --request POST '/replicate/v1/models/recraft-ai/recraft-v3/predictions' \
--header 'Authorization: Bearer {{YOUR_API_KEY}}' \
--header 'Content-Type: application/json' \
--data-raw '{
    "input": {
      "size": "1365x1024",
      "style": "any",
      "prompt": "a wildlife photography photo of a red panda using a laptop in a snowy forest",
      "aspect_ratio": "Not set"
    }
  }'
```

## Response

### 🟢 200 Success

**Content Type**: `application/json`

#### Response Schema

```text
object
```

#### Example

```json
{}
```
